using CFX;
using CFX.Production.Processing;
using CFX.Structures;
using Sln.Iot.Serilog;

namespace Sln.Iot.CFX.Event
{
    /// <summary>
    /// 单元加工完成事件
    /// </summary>
    public class UnitsProcessedEvent
    {
        /// <summary>
        /// 数据封装处理
        /// </summary>
        /// <returns></returns>
        public CFXMessage Handle()
        {
            CFXMessage eve = null;
            try
            {
                eve = new UnitsProcessed()
                {
                    TransactionId = Guid.NewGuid(),
                    OverallResult = ProcessingResult.Succeeded,
                    CommonProcessData = new ProcessData()
                    {

                    },
                    UnitProcessData = new List<ProcessedUnit>()
                    {
                        new ProcessedUnit()
                        {
                            UnitIdentifier = "ID12345",

                        }
                    }
                };
            }
            catch (Exception e)
            {
                SerilogHelper.Instance.Error("终端节点连接事件数据封装异常", e);
            }
            return eve;
        }
    }
}
